datacache <- new.env(hash=TRUE, parent=emptyenv())

illuminaMousev1ProbeID <- function() showQCData("illuminaMousev1ProbeID", datacache)
illuminaMousev1ProbeID_dbconn <- function() dbconn(datacache)
illuminaMousev1ProbeID_dbfile <- function() dbfile(datacache)
illuminaMousev1ProbeID_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
illuminaMousev1ProbeID_dbInfo <- function() dbInfo(datacache)

illuminaMousev1ProbeIDORGANISM <- "Mus musculus"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "illuminaMousev1ProbeID.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.MOUSECHIP_DB("illuminaMousev1ProbeID", "chip illuminaMousev1ProbeID", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(illuminaMousev1ProbeID_dbconn())
}

